Subject: Re: [bug#37434] [PATCH 1/2] gnu: ghc-megaparsec: Update to 7.0.5.

From: Timothy Sample <[email-masked]>
Date: Wed, 25 Sep 2019 13:49:36 -0400

Hi Eric and Ludo,

Eric Bavier <[email-masked]> writes:

> ----- On Sep 24, 2019, at 2:16 AM, Ludovic Courtès [email-masked] wrote:
>
>> For the sake of consistency, what about adding a variant of megaparsec
>> for use by Idris, and keeping the LTS-12 version?
>
> That sounds appropriate to me.  New patch attached.

Very good idea!  Thanks.

>>> I was under the impression that our 'guix refresh' updater was
>>> supposed to use
>>> the appropriate stackage version?  But it seems to be referencing
>>> version 14.6.
>> 
>> Looking at ‘latest-lts-release’ in (guix import stackage), the updater
>> seems to just take the latest LTS version.
>> 
>> We should probably fix that by having the argument to
>> ‘stackage-lts-info-fetch’ default to the currently targeted LTS version.
>> Otherwise one has to know the LTS version and pass it to ‘guix import
>> stackage --lts-version’, which is error-prone.
>> 
>> Thoughts?
>
> I think that would be the right thing to do, imo.

I believe we have a patch series from Robert that does this.  There were
a few things to fix up, but it is the right thing to do.

    https://bugs.gnu.org/36653

Unfortunately, I don’t do a lot of Haskell stuff for myself these days,
so my motivation here is pretty limited.  (There are only so many hours
in the week to tinker with Guix....)  Applying this patch and getting
the ball rolling on Stackage LTS 14 are on my to-do list, but I don’t
know when I’ll get around to them.  :(

-- Tim